<template>
  <require from="./home.css"></require>

  <div class="page-header">
    <audio id="player-over" style="display:none" controls="controls">
      <source  src="./../../../static/sound/alerta-over.mp3" type="audio/mp3" />
      seu navegador não suporta HTML5 
    </audio>   
    <div class="page-header-main-info"> 
      
      <div  class="page-title" click.delegate="onOpendDatePicker()">Jogos do dia 
        <span class="curr-date">${selectedDate}</span>
        <i  if.bind="isUserInRole('SUPER')" class="fa-solid fa-calendar"></i>
        <input type="text" if.bind="isUserInRole('SUPER')" id="selectedDate" class="d-none"></input>
      </div>

      <!-- <div class="page-subtitle">Última atualização: ${atualizadoEm}</div> -->
    </div> 
    <div class="page-header-settings" >
      <div class="user-info">
        <span class="user-name" if.bind="isUserInRole('SUPER')"> Super User - Franklin</span>
        <span class="user-name" if.bind="isUserInRole('MASTER')"> Conta Master - ${getProperty('name')}</span>
        <span class="user-name" if.bind="isUserInRole('OPERADOR')"> Operador - ${getProperty('name')}</span>
        <span class="user-name" if.bind="isUserInRole('COCKPIT')"> Trader - ${getProperty('name')}</span>
        <span class="user-credits" if.bind="isUserInRole('SUPER') || isUserInRole('MASTER')">Créditos: ${getProperty('creditos')}</span>
        <span class="user-credits" if.bind="isUserInRole('COCKPIT')">Bem-vindo</span>
      </div>
      <ul class="navbar-nav me-2 mb-0 profile-menu" > 
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
            <i class="fas fa-user"></i>
          </a>
          <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
            <!-- <li><a class="dropdown-item" href="#" if.bind="isUserInRole('SUPER') || isUserInRole('MASTER')"><i class="fas fa-sliders-h fa-fw"></i> Perfil</a></li>
            <li><a class="dropdown-item" href="#" if.bind="isUserInRole('SUPER') || isUserInRole('MASTER')"><i class="fas fa-cog fa-fw"></i> Configurações</a></li> -->
            <!-- <li><hr class="dropdown-divider" if.bind="isUserInRole('SUPER') || isUserInRole('MASTER')"></li> -->
            <!-- <li><a class="dropdown-item" click.delegate="abrirDuvida()"><i class="fa-solid fa-circle-question"></i>
              Ajuda</a>
           </li> -->
            <li><a class="dropdown-item" click.delegate="onLogout()"><i class="fas fa-sign-out-alt fa-fw"></i>
               Log Out</a>
            </li>
          </ul>
        </li>
      </ul>
    </div> 
  </div>
  <div class="page-wrapper" id="page-wrapper"> 
    <router-view containerless ></router-view>

    <section id="following-area-opened" class="following-area ">
      <div class="following-info">
        <span click.delegate="abrirPopup()" class="following-info-full">IN-PLAY
          <span class="tab-info">(${inPlayFiltrado.length})</span>
        </span>
        <!-- <select class="form-select form-select-sm following-info-select" aria-label="Ordenar por">
          <option>In-Play</option>
          <option>Green</option>
          <option>Red</option>
        </select> -->
        <select class="form-select form-select-sm following-info-select" aria-label="Tipo de conta" 
                          value.bind="inPlayOptionsSelecionado" >
          <option repeat.for="o of inPlayOptions" model.bind="o.id">
            ${o.value}
          </option>
        </select>

        <!-- <i class="fa-solid fa-rectangle-xmark"></i> -->
        <!-- <i class="fa-solid fa-xmark" click.delegate="onToggleFollowingArea()"></i> -->
      </div>   
      <div class="following-matches" id="following-matches">
        <div show.bind="!exibindoDetalhes" id.bind="getIdCard(inPlay.id)" class.bind="getCssCard(inPlay)" 
             repeat.for="inPlay of inPlayFiltrado" if.bind="(inPlay.tipoInPlay == inPlayOptionsSelecionado) || inPlayOptionsSelecionado == 3 ">
          <div class="match-card-top">
            <div class="info-top">
              <span>${inPlay.odd} - ${inPlay.mercado}</span> 
              <span  class="bold p-0 bg-transparent" show.bind="inPlay.ht">HT</span>
              <div class="content-right" data-wenk-pos="left" data-wenk="👉 Ir para Cashout" >
                <span title.bind="isUserInRole('MASTER') || isUserInRole('SUPER')  ? inPlay.idPartida:''" class="bold p-0 bg-transparent span-tipo-op">${inPlay.tipoOperacao}</span>
                <button class="btn-cashout btn-sm">
                  <img title.bind="isUserInRole('MASTER') || isUserInRole('SUPER')  ? inPlay.idEntrada:''" 
                    src="./../../../static/images/icons/ball-exit3.png" 
                  click.delegate="abrirEntradas(inPlay)" alt="">
                </button>
              </div>
            </div> 
            <div class="info-center" data-wenk-pos="top" data-wenk="👉 Ir para BetFair"> 
              <span>${inPlay.casa} </span>
              <span click.delegate="abrirLinkBetFair(inPlay)">${inPlay.gc} - ${inPlay.gv}</span>
              <span>${inPlay.visitante}</span> 
            </div>            
          </div>
          <div class="match-card-bottom"> 
            <div class="progress-container pc-big">
              <div class="progress progress-first-half-id-1"></div>
            </div>
            <span data-wenk-pos="left" data-wenk="👉 Ir para Bet365" click.delegate="abrirLinkBet365(inPlay)" class="px-1 bold">${traduzirTempo(inPlay.t)}<span show.bind="inPlay.t != null && inPlay.t !='END' && inPlay.t !='FIM' " class="blink_me">'</span></span>
            <div class="progress-container pc-big">
              <div class="progress progress-second-half-id-1"></div>
            </div>
          </div>
          <div show.bind="inPlay.t != 'END' && inPlay.t !='FIM'" class="match-details w-100" class.bind="onGetDetailsCSS(inPlay)">
            <div data-wenk="👉 Exibir detalhes">
              <i 
              class="fa-solid fa-circle-info"
              type="button" data-bs-toggle="collapse" data-bs-target="#collapseExample${inPlay.id}" aria-expanded="false" aria-controls="collapseExample${inPlay.id}"
            ></i>
            </div> &nbsp;&nbsp;
            <div if.bind="isUserInRole('SUPER') || isUserInRole('MASTER') " data-wenk="👉 Aumentar stack">
            <i 
              class="fa-solid fa-money-bill-trend-up"
              type="button" click.delegate="abriAumentoAposta(inPlay)"
            ></i>
          </div>
          </div>
          <div show.bind="inPlay.t != 'END' && inPlay.t !='FIM'" class="match-details-collapse collapse" id="collapseExample${inPlay.id}" class.bind="onGetDetailsCSS(inPlay)">
            <div class="table-responsive">
              <table cellpadding="0" cellspacing="0" class="table mb-1">
                <thead>
                  <tr>
                    <th>
                      <span>No gol</span>
                    </th>
                    <th>
                      <span>P Fora</span>
                    </th>
                    <th>
                      <span>Ataque P.</span>
                    </th>
                    <th>
                      <span>Ataque</span>
                    </th>
                    <th>
                      <span>Esc</span>
                    </th>
                    <th> 
                      <span>Posse</span>
                    </th>
                  </tr> 
                </thead> 
                <tbody>
                  <tr>
                    <td>
                      <div class="d-flex flex-column align-items-center p-1" style="min-width: max-content;">
                        <span style="min-width: max-content;">${inPlay.scoreBing.plus.hso} - ${inPlay.scoreBing.plus.gso}</span>
                        <progress
                          show.bind="itMustBeShown('nogol', inPlay.scoreBing.plus, 'plus')"
                          value.bind="onSetProgressVolume('nogol', inPlay.scoreBing.plus, 'plus')"
                          max="100">
                        </progress>
                        <progress class="progress-empty"
                          show.bind="!itMustBeShown('nogol', inPlay.scoreBing.plus, 'plus')"
                          value="0"
                          max="100">
                        </progress>
                      </div>
                    </td>
                    <td>
                      <div class="d-flex flex-column align-items-center p-1" style="min-width: max-content;">
                        <span style="min-width: max-content;">${inPlay.scoreBing.plus.hsf} - ${inPlay.scoreBing.plus.gsf}</span>
                        <progress
                          show.bind="itMustBeShown('pfora', inPlay.scoreBing.plus, 'plus')"
                          value.bind="onSetProgressVolume('pfora', inPlay.scoreBing.plus, 'plus')"
                          max="100">
                        </progress>
                        <progress class="progress-empty"
                          show.bind="!itMustBeShown('pfora', inPlay.scoreBing.plus, 'plus')"
                          value="0"
                          max="100">
                        </progress>
                      </div>
                    </td>
                    <td>
                      <div class="d-flex flex-column align-items-center p-1" style="min-width: max-content;">
                        <span style="min-width: max-content;">${inPlay.scoreBing.plus.hd} - ${inPlay.scoreBing.plus.gd}</span>
                        <progress
                          show.bind="itMustBeShown('ataquep', inPlay.scoreBing.plus, 'plus')"
                          value.bind="onSetProgressVolume('ataquep', inPlay.scoreBing.plus, 'plus')"
                          max="100">
                        </progress>
                        <progress class="progress-empty"
                          show.bind="!itMustBeShown('ataquep', inPlay.scoreBing.plus, 'plus')"
                          value="0"
                          max="100">
                        </progress>
                      </div>
                    </td>
                    <td>
                      <div class="d-flex flex-column align-items-center p-1" style="min-width: max-content;">
                        <span style="min-width: max-content;">${inPlay.scoreBing.plus.ha} - ${inPlay.scoreBing.plus.ga}</span>
                        <progress
                          show.bind="itMustBeShown('ataque', inPlay.scoreBing.plus, 'plus')"
                          value.bind="onSetProgressVolume('ataque', inPlay.scoreBing.plus, 'plus')"
                          max="100">
                        </progress>
                        <progress class="progress-empty"
                          show.bind="!itMustBeShown('ataque', inPlay.scoreBing.plus, 'plus')"
                          value="0"
                          max="100">
                        </progress>
                      </div>
                    </td>
                    <td>
                      <div class="d-flex flex-column align-items-center p-1" style="min-width: max-content;">
                        <span style="min-width: max-content;">${inPlay.scoreBing.rd.hc} - ${inPlay.scoreBing.rd.gc}</span>
                        <progress
                          show.bind="itMustBeShown('esc', inPlay.scoreBing.rd, 'rd')"
                          value.bind="onSetProgressVolume('esc', inPlay.scoreBing.rd, 'rd')"
                          max="100">
                        </progress>
                        <progress class="progress-empty"
                          show.bind="!itMustBeShown('esc', inPlay.scoreBing.rd, 'rd')"
                          max="100">
                        </progress>
                      </div> 
                    </td>
                    <td>
                      <div class="d-flex flex-column align-items-center p-1" style="min-width: max-content;">
                        <span style="min-width: max-content;">${inPlay.scoreBing.plus.hqq} - ${inPlay.scoreBing.plus.gqq}</span>
                        <progress
                          show.bind="itMustBeShown('posse', inPlay.scoreBing.plus, 'plus')"
                          value.bind="onSetProgressVolume('posse', inPlay.scoreBing.plus, 'plus')"
                          max="100">
                        </progress>
                        <progress class="progress-empty"
                          show.bind="!itMustBeShown('posse', inPlay.scoreBing.plus, 'plus')"
                          value="0"
                          max="100">
                        </progress>
                      </div>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>

        <div class="nenhuma-atividade" show.bind="inPlayFiltrado.length ==0 && !exibindoDetalhes">
          <h5>NENHUMA OPERAÇÃO REALIZADA <br>HOJE</br></h5>
        </div> 


        <div show.bind="exibindoDetalhes" class="cashout-area">
          <div class="cashout-area-actions" show.bind="timeToConfirm == 0">
            <button type="Button" class="btn btn-outline-secondary btn-sm btn-cashout-cancel ms-1" 
                    click.delegate="cancelarCashOut()">
              <i class="fa-solid fa-arrow-left"></i>
            </button>
            <button show.bind="(entradasRealizadas.length > 0 && inPlaySelecionado.t !='END' && !inPlaySelecionado.ht) || (inPlaySelecionado.ht && !inPlaySelecionado.segundoTempo) " 
                    type="Button" value="Cashout" 
                    class="btn btn-secondary btn-sm w-100 ms-3 me-1 btn-cashout-confirm" 
                    click.delegate="onShowTimeToConfirm()">
              <span>Confirmar Cashout</span>
              <img src="./../../../static/images/icons/ball-exit3.png"> 
            </button>
            <button show.bind="entradasRealizadas.length == 0" type="Button" value="Cashout" class="btn btn-secondary btn-sm w-100 ms-3 me-1 btn-cashout-confirm" 
                    >
              <span>Sem entradas</span>
              <img src="./../../../static/images/icons/ball-exit3.png"> 
            </button>
          </div>
          <div class="cashout-area-actions cashout-area-actions-confirmation" show.bind="timeToConfirm > 0">
            <span>O Cashout ocorrerá em ${timeToConfirm} segundos</span>
            <button type="Button" value="Cashout" class="btn btn-warning w-100 text-uppercase" id="btn-cashout-time" 
                    click.delegate="cancelarCashOut()">
              Cancelar
            </button>
          </div>   
          <div class="cashout-area-content table-responsive" show.bind="exibindoDetalhes && timeToConfirm == 0 ">
            <table class="table table-striped table-hover table-sm">
              <thead>
                <tr>
                  <th>Conta</th>
                  <th class="value-column">Valor</th>
                  <th class="odd-column">Odd</th>
                </tr>
              </thead>
              <tbody>
                <tr repeat.for="entrada of entradasRealizadas"> 
                  <td title.bind="ajustarTitle(entrada)">${entrada.login.nomeReduzido}</td>
                  <td class="value-column">${entrada.valorEntradaF}</td>
                  <td class="odd-column">${entrada.valorOdd}</td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>      
    </section>
    <section id="following-area-closed" class="following-area d-none">
      <div class="following-area-closed-content">
        <i class="fa-solid fa-down-left-and-up-right-to-center cursor-pointer" click.delegate="onToggleFollowingArea()"></i>
      </div>
    </section>
  </div>
  <div class="modal fade" id="modal-duvida" tabindex="-1" aria-labelledby="modal-exampleLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body" id="modal-odds">
          <div class="modal-odds-content">
            <div class="odds-accounts">
              <div class="card-accounts card">
                <div class="card-accounts-title">
                  <span>Envie sua dúvida</span>
                </div>
                <div class="card-accounts-content card-body" id="body-copy">
                  <div class="search-account-results table-responsive">
                     
                  </div>
                  <div class="modal-odds-actions">
                     <button type="button" click.delegate="removeDblClick()" class="btn btn-warning" data-bs-dismiss="modal" id="btn-odds-close">Fechar</button>  
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="modal-aumento-aposta" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" 
       aria-labelledby="modalNewAccountLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-xl">
      <div class="modal-content" id="body-modal-conta">
        <div class="modal-header pt-2 pb-1 px-3">
          <h4 class="modal-title" id="modalNewAccountLabel">Aumentar stack - ${inPlaySelecionado.casa} x ${inPlaySelecionado.visitante} </h4>
          <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body row py-2 px-3" >
          <div class="col-sm-12 col-md-12 border-end content-left">
            <form class="pe-md-3">
              <div class="row g-2">
                <div class="col-12 mb-1" style="text-align:center">
                  <h5>PLACAR  ${inPlaySelecionado.gc} x ${inPlaySelecionado.gv} </h5>
                </div>
              </div>
              <div class="row g-2">
                <div class="col-12 mb-1" style="text-align:center">
                  <h5>Tempo ${inPlaySelecionado.t} min</h5>
                </div>
              </div>  
            </form>
            <div class="container-stack">
                <span  data-wenk="👉 Aumenta stack usando porcentagem" class="label-stack-perc" style="width: 2%;">%</span>
                <input change.delegate="setarValorPorcentagemAumento()" 
                       keyup.delegate="setarValorPorcentagemAumento()" style="background-color: aliceblue;width: 6%;text-align:center;" 
                       min="1" 
                       value.bind="aumentoEntradaPorcentagem" type="number"> 
                <span data-wenk="👉 Aumenta stack usando valor fixo" class="label-stack-valor" style="width: 2%;margin-left: 8px;">$</span>
                <input change.delegate="setarValorAumento()" keyup.delegate="setarValorAumento()" 
                      value.bind="aumentoValorEntrada"
                      style="background-color: aliceblue;text-align:center;width: 6%;" min="5" type="number"> 
                <input style="margin-left: 8px;padding: 4px;" class="botao-aumento-stack" type='button'
                       click.delegate="aumentarStackTotalContas()" value='Entrar em todos'/>
            </div>
            <div class="tbl-header" id="match-table2" style="">
              <table class="table-stack">
                <thead>
                  <tr>
                    <th style="width:14%" class="header-search">
                      Contas
                    </th>
                    <th  class="col-sm">
                      Saldo
                    </th>
                    <th  class="col-sm">
                      Valor entrada
                    </th>
                    <th class="col-sm">
                      Odd
                    </th>
                    <th class="col-sm">
                      Lucro
                    </th>
                    <th style="width:5%;text-align: center;" data-wenk-pos="bottom" data-wenk="👉 Aumentar stack utilizando valor calculado" 
                       class="col-sm center">
                     %
                    </th>
                    <th style="width:5%;text-align: center;" data-wenk-pos="bottom" data-wenk="👉 Aumentar stack utilizando valor fixo" 
                        class="info-add center">
                     $
                    </th> 
                    <th style="width:5%" class="info-add">
                      
                     </th>
                  </tr> 
                </thead>    
                <tbody>
                  <tr  repeat.for="entrada of entradasRealizadas" >
                    <td style="width:14%">
                      ${entrada.login.nomeReduzido}
                    </td>
                    <td data-wenk="👉 Ir para Bet365" class="current-time col-wsm">
                      R$ ${entrada.saldo} <span show.bind="entrada.novoSaldo >0" style="color:#ff6e40;font-weight: bold" >- R$ ${entrada.novoSaldo}</span>
                    </td>
                    <td data-wenk="👉 Ir para Bet365" class="current-time col-wsm">
                      ${entrada.valorEntradaF} <span style="font-weight: bold;" show.bind="entrada.novoValorEntrada >0"> + R$ ${entrada.novoValorEntrada}</span>
                    </td>
                    <td   class="col-wsm">
                      ${entrada.valorOdd} <span style="color:cadetblue;font-weight: bold;" show.bind="entrada.novaOdd >0" > -> ${entrada.novaOdd}</span>
                    </td>
                    <td style="width:10%;color:green"  class="col-wsm">
                      R$ ${entrada.lucro} <span style="font-weight: bold;"  show.bind="entrada.novoLucro >0" > + R$ ${entrada.novoLucro}</span>
                    </td>
                    <td style="width:5%" class="col-wsm">
                      <input keyup.delegate="calcularNovaEntradaPercentagem(entrada)" value.bind="entrada.aumentoEntradaPorcentagem" style="height: 23px;font-weight: bold; color:white;background-color: green;text-align:center;width: 100%" type="number">
                    </td>
                    <td style="width:5%"  class="col-wsm"  >
                      <input keyup.delegate="calcularNovaEntradaValor(entrada)" value.bind="entrada.aumentoValorEntrada" style="height: 23px;font-weight: bold; color:white;background-color: cadetblue;margin-left: 3px;text-align:center;width: 100%;" type="number">
                    </td>
                    <td style="width:5%"  class="col-wsm"  >
                      <input click.delegate="aumentarStackConta(entrada)" style="height: 23px;width:90%;margin-left: 4px;" class="botao-aumento-stack" type='button' value='Entrar'/>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>  
          </div>
        </div>
        <div class="modal-footer p-0">
          <button  click.delegate="buscarOdd()" type="button" class="btn btn-warning">Atualizar Odd</button>
          <button id="btnCloseModaAccount" type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fechar</button>
        </div>
      </div>
    </div>
  </div>

  <div class="page-copyright">
    <span> 
      <strong>COCKPIT</strong> - Um produto da plataforma Sete Águias
    </span>
    <!-- <div class="send-message">
      <a target="_blank" href="https://api.whatsapp.com/send?phone=${getProperty('celSuporte')}">
        <img src="./../../../static/images/whatsapp.png" alt="Whatsapp">
      </a>
    </div>
    <div class="send-message-2">
      <a target="_blank" href="https://api.whatsapp.com/send?phone=${getProperty('celSuporte')}">
        <img src="./../../../static/images/whatsapp2.png" alt="Whatsapp">
      </a>
    </div> -->
  </div>
</template>                     
